Bug 1739537 - [abrt] xfdesktop: magazine_chain_pop_head(): xfdesktop killed by SIGSEGV
Summary: [abrt] xfdesktop: magazine_chain_pop_head(): xfdesktop killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfdesktop
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:162f008cc50d38872e74a27a44c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-09 13:44 UTC by GeoffLeach
Modified: 2020-05-26 18:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 18:30:14 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (44.47 KB, text/plain)
2019-08-09 13:44 UTC, GeoffLeach
no flags Details
File: cgroup (331 bytes, text/plain)
2019-08-09 13:44 UTC, GeoffLeach
no flags Details
File: core_backtrace (16.72 KB, text/plain)
2019-08-09 13:44 UTC, GeoffLeach
no flags Details
File: cpuinfo (1.22 KB, text/plain)
2019-08-09 13:44 UTC, GeoffLeach
no flags Details
File: dso_list (9.12 KB, text/plain)
2019-08-09 13:44 UTC, GeoffLeach
no flags Details
File: environ (1.95 KB, text/plain)
2019-08-09 13:44 UTC, GeoffLeach
no flags Details
File: exploitable (82 bytes, text/plain)
2019-08-09 13:45 UTC, GeoffLeach
no flags Details
File: limits (1.29 KB, text/plain)
2019-08-09 13:45 UTC, GeoffLeach
no flags Details
File: maps (60.33 KB, text/plain)
2019-08-09 13:45 UTC, GeoffLeach
no flags Details
File: mountinfo (3.61 KB, text/plain)
2019-08-09 13:45 UTC, GeoffLeach
no flags Details
File: open_fds (2.29 KB, text/plain)
2019-08-09 13:45 UTC, GeoffLeach
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-08-09 13:45 UTC, GeoffLeach
no flags Details

Description GeoffLeach 2019-08-09 13:44:41 UTC
Version-Release number of selected component:
xfdesktop-4.13.5-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        xfdesktop --display :0.0 --sm-client-id 2dd685630-85c2-413a-9afd-d8ff509a7034
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfdesktop
journald_cursor: s=bd7ce6f70cf348cea991f9f5074a85c6;i=27ad3;b=0d897f1840f44404b4b9d9b7ba697274;m=bfbb5794;t=58faf024fc543;x=65d3b428f0b3976e
kernel:         5.2.5-200.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at ../glib/gslice.c:538
 #1 magazine_cache_trim at ../glib/gslice.c:677
 #2 magazine_cache_push_magazine at ../glib/gslice.c:709
 #3 thread_memory_magazine2_unload at ../glib/gslice.c:1117
 #4 g_slice_free1 at ../glib/gslice.c:1117
 #5 g_type_free_instance at ../gobject/gtype.c:1943
 #6 g_datalist_clear at ../glib/gdataset.c:273
 #9 garcon_menu_stop_monitoring at garcon-menu.c:1835
 #11 garcon_menu_clear at garcon-menu.c:348
 #12 garcon_menu_load at garcon-menu.c:672

Comment 1 GeoffLeach 2019-08-09 13:44:48 UTC
Created attachment 1602190 [details]
File: backtrace

Comment 2 GeoffLeach 2019-08-09 13:44:50 UTC
Created attachment 1602191 [details]
File: cgroup

Comment 3 GeoffLeach 2019-08-09 13:44:52 UTC
Created attachment 1602192 [details]
File: core_backtrace

Comment 4 GeoffLeach 2019-08-09 13:44:54 UTC
Created attachment 1602193 [details]
File: cpuinfo

Comment 5 GeoffLeach 2019-08-09 13:44:57 UTC
Created attachment 1602194 [details]
File: dso_list

Comment 6 GeoffLeach 2019-08-09 13:44:59 UTC
Created attachment 1602195 [details]
File: environ

Comment 7 GeoffLeach 2019-08-09 13:45:01 UTC
Created attachment 1602196 [details]
File: exploitable

Comment 8 GeoffLeach 2019-08-09 13:45:03 UTC
Created attachment 1602197 [details]
File: limits

Comment 9 GeoffLeach 2019-08-09 13:45:06 UTC
Created attachment 1602198 [details]
File: maps

Comment 10 GeoffLeach 2019-08-09 13:45:08 UTC
Created attachment 1602199 [details]
File: mountinfo

Comment 11 GeoffLeach 2019-08-09 13:45:11 UTC
Created attachment 1602200 [details]
File: open_fds

Comment 12 GeoffLeach 2019-08-09 13:45:14 UTC
Created attachment 1602201 [details]
File: proc_pid_status

Comment 13 Fedora Update System 2019-08-15 22:31:12 UTC
FEDORA-2019-8b21f399ee has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 14 Fedora Update System 2019-08-17 01:27:12 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 15 Fedora Update System 2019-08-23 01:26:51 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Ben Cotton 2020-04-30 20:18:41 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2020-05-26 18:30:14 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.